---
title: msPlayToSource
slug: Web/API/MsPlayToSource
tags:
  - msPlayToSource
---
<p id="Summary">{{APIRef("DOM")}}</p>

<p>{{Non-standard_header()}}</p>

<p><code><strong>msPlayToSource</strong></code> is a read-only property which gets the source associated with the media element for use by the <a href="https://docs.microsoft.com/en-us/uwp/api/windows.media.playto.playtomanager"><code>PlayToManager</code></a>.</p>

<p>This proprietary property is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">
ptr = object.msPlayToSource;

</pre>

<h2 id="Value">Value</h2>

<p><em>PlayTo</em> is a means through which an app can connect local playback/display for audio, video, and img elements to a remote device. For more information, see the <a href="https://docs.microsoft.com/en-us/uwp/api/windows.media.playto">Windows.Media.PlayTo</a> APIs.</p>

<p><code><strong>msPlayToSource</strong></code> is used in the <code>sourceRequested</code> handler -- get the <code>PlayToSource</code> object from an audio, video, or img element using the <code>msPlayToSource</code> property and pass it to <code>e.setSource</code>, then set the <code>PlayToSource.next</code> property to the <code>msPlayToSource</code> of another element for continual playing.</p>

<p>The property value for <code>msPlayToSource</code> is the source associated with the media element.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">&lt;video id="videoplayer" src="http://www.contoso.com/clip.mp4" controls autoplay /&gt;
&lt;script type="text/javascript"&gt;

  // Step 1: Obtain PlayToManager object for app’s current view.
    var ptm = Windows.Media.PlayTo.PlayToManager.getForCurrentView();

  // Step 2: Register for the sourcerequested event (user swipes Devices charm).
    ptm.addEventListener("sourcerequested", function(e) {

  // Step 3: Specify the media to be streamed (to filter devices).
        e.sourceRequest.setSource(document.getElementById("videoplayer").msPlayToSource);

  // The media will then be streamed to the device chosen by the user in the UI.

    });
</pre>
